<script setup>

import Sidebar from "@/components/Sidebar.vue";
import {useStudentStore} from "@/stores/student"
import StudentForm from "@/components/StudentForm.vue"
import {computed} from "vue";
import {useGroupStore} from "@/stores/group";

const studentStore = useStudentStore()
const groupStore = useGroupStore()


const students = computed(() => [...studentStore.students])


</script>

<template>

  <h1>Student Overview</h1>
  <Sidebar></Sidebar>
  <div class="studentInput">
    <student-form></student-form>
  </div>

  <div class="container mt-3">
    <table class="table table-dark table-striped">
      <thead>
      <tr>
        <th>Firstname</th>
        <th>Lastname</th>
        <th>Email</th>
        <th>Group</th>
        <th>Details</th>
      </tr>
      </thead>
      <tbody>
      <tr v-for="(student, index) in students">
        <td>{{ student.firstName }}</td>
        <td>{{ student.lastName }}</td>
        <td>{{ student.email }}</td>
        <td>{{ groupStore.groups.find(group => group.groupId === student.groupId)?.specializations }}
          {{ groupStore.groups.find(group => group.groupId === student.groupId)?.groupNumber }}
        </td>

        <td>
          <button class="btn btn-outline-warning">
            <router-link class="link btn-dark" :to="/student/+ index">Details</router-link>
          </button>
        </td>
      </tr>
      </tbody>
    </table>
  </div>
</template>

<style scoped>
.studentInput {
  margin-left: -300px;
  margin-top: 50px;
  margin-bottom: 50px;
}

h1 {
  margin-left: 50px;

}

.container {
  margin-left: -310px;
}

.table-dark {
  width: 1000px;
  border: 5px solid black;
}

.btn-dark {
  color: white;
  border: none;
  text-decoration: none;
}

th {
  font-weight: bold;
}


</style>